Bug 615844 - anaconda does not list repo URLs if installation image is not found on the disk
anaconda does not list repo URLs if installation image is not found on the disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 00:59 EDT by H.S.
Modified: 2011-06-29 09:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:18:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.S. 2010-07-19 00:59:47 EDT
Description of problem:
I booted with an installation USB stick to install Fedora 13 (F13). After asking for the language and keyboard, anaconda demanded to know the disk partition where I have the Fedora ISOs. I click F2 to get other options, since I wanted to do a network install, and the installer listed the disks. I pressed Back and the installer quit abnormally. I did not see any choice of internet installation from mirrors.


Version-Release number of selected component (if applicable):


How reproducible:
Boot with network installer with the intention of using repo URLs for internet installation. The installer never lists any URLs.


Steps to Reproduce:
1. Boot using the net installer of F13 on USB stick.
2. Answer keyboard and language questions.
3. When it asks for a disk partition where the installer image resides, click Back to let the installer present you with a list of URLs instead (for installation over the internet). The installer quits abnormally.
  
Actual results:
The installer quits abnormally instead of listing URLs for repos.

Expected results:
The installer is, apparently, supposed to provide with a list of repo URLs to use for installation over the internet.

Additional info:
This is based on an earlier bug I filed: https://bugzilla.redhat.com/show_bug.cgi?id=613440
Comment 1 Chris Lumens 2010-07-19 10:26:00 EDT
No, anaconda doesn't provide you with a list of repos to use.  It does it all behind the scenes for you.  You just cruise through the loader and stage2 is automatically configured to use the Fedora mirror list.

What process did you use for creating this USB drive?

Also, what boot arguments are you using?
Comment 2 H.S. 2010-07-20 23:01:38 EDT
Ah, I see, that anaconda uses the repos behind the scenes. I did not know what. Well, that is understandable since it never worked for me.

I used the process to create to a USB stick to boot in to the net installer. From what I recall, I used the dd command to first copy the boot image to the USB, mounted the USB and then copied the iso of the installer to the USB.

But I am not sure why this is relevant. When the installer asked me to specify the partition which has the installation media, I just clicked on Back. Here it should have, as you mentioned, started the installation from a repo, or (as I was expecting) presented me with a list of repos to use. However, it just crashed on me with some error.

I was using the default boot arguments, nothing was changed.
Comment 3 Chris Lumens 2010-07-22 12:34:38 EDT
Could you please attach the complete error message you are seeing?  It's pretty difficult to debug problems without knowing what the problem is.
Comment 4 H.S. 2010-07-23 12:15:16 EDT
I understand. It has been quite a few days since I installed F13 and I reported it the best I could recall.

I will try to repeat the procedure. I think I still have the boot image and the net installation ISO somewhere. I won't happen before the weekend though.

Thanks.
Comment 5 Bug Zapper 2011-06-01 09:30:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-29 09:18:40 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.